Name:          python-libvirt
Version:       1.2.6
Release:       1mamba
Summary:       Python binding to the libvirt.so, libvirt-qemu.so and libvirt-lxc.so library APIs.
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://libvirt.org/python.html
Source:        http://libvirt.org/sources/python/libvirt-python-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel
BuildRequires: libvirt-devel
## AUTOBUILDREQ-END
BuildRequires: libvirt-devel >= 1.2
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%prep
%setup -q -n libvirt-python-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{python_sitearch}/%{name}.py*
# %{python_sitearch}/%{name}.so
%doc AUTHORS COPYING COPYING.LESSER
## note: eventually add the remaining documents (if any)
# %doc ChangeLog NEWS README

%changelog
* Fri Jul 11 2014 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic update by autodist

* Wed May 28 2014 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic update by autodist

* Mon Apr 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-1mamba
- update to 1.2.3

* Tue Dec 10 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- package created using the webbuild interface
